# Proximity Roller Plugin

This unofficial TaleSpire plugin allows rolling of multiple independenct dice by rolling all dice
with a defined proximity of the rolled dice. This allows rolling groups of dice in which dice can
easily be added and/or removed (unlike the set dice groups provided in core Talespire).
 
## Change Log
```
2.0.0: Complete rewrite making use of the Symbiote API plugin
1.2.2: Fixed compatibility with Custom Dice Pack Plugin (and other result using plugins)
1.2.1: Fixed issue with proximity configuration
1.2.0: Exposed modifier in results
1.1.0: Names the result roll 'Proximity Result' so other plugins can identify it
1.0.0: Initial release
```
## Install

Use R2ModMan or similar installer to install this plugin.
   
## Usage

Generate dice using the dice tray or the talespire protocol as normal. However bring out each die
independently as opposed to making dice tray groups unless the dice will always be rolled together
(such as in the case of a percentile dice and a D10).

To make regular rolls, roll the dice as usual.

To make a proximity group roll, pick up a die and then hold ``Left Shift``. Drop the die into the
middle of a dice pile. The dropped die, as well as all the dice in its proximity will be rolled.
The results of all dice will be gather into a single roll result with each group identified
individually. However, depending on the plugin configuration setting, and total for the entire roll
can be configured.

Dice can be added or removed from the roll group just by moving the dice closer or further away.

## Configuration

There are a number of configruation settings for this plugin:

``Affected Dice Distance``:

The distance (in tiles) from the thrown die in which other dice will be rolled.
 
``Affected Dice Raise``:

The distance into the air that the dice will be raised above the drop height.
Higher values will tend to randomize the proximity dice more.

``Collection Time``:

The time, after dice top rolling, that the system waits to get individual dice results before
building the combined dice result. A value too large will mean a noticible delay between a roll
and the combined results. A value too small may miss some roll results in the combined result.

``Show Total``:

Indicated if the sum of all the rolls and modifiers should be totalled and provided in the
combine dice result summary.